//
// C++ Interface: 
//
// Description: 
//
//
// Author: Christian Hubinger <chubinger@irrsinnig.org>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef KMFSYSTEMSETTINGSLINUX_H
#define KMFSYSTEMSETTINGSLINUX_H

#include "kmyfirewallsystemsettingslinux.h"

#include <tqstring.h>

#include <tqguardedptr.h>

namespace KMF {
class KMFTarget;

class KMFSystemSettingsLinux : public KMyFirewallSystemSettingsLinux
{
  Q_OBJECT
  TQ_OBJECT

public:
  KMFSystemSettingsLinux(TQWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  ~KMFSystemSettingsLinux();
  /*$PUBLIC_FUNCTIONS$*/

	void loadTarget( KMFTarget* target );

public slots:
  /*$PUBLIC_SLOTS$*/

protected:
  /*$PROTECTED_FUNCTIONS$*/
	void updateView();
	
protected slots:
  /*$PROTECTED_SLOTS$*/
  void slotSettingChanged();
  void slotDistributionChanged();
  
  signals:
		void sigTargetChanged();
		
private: 
	TQGuardedPtr<KMFTarget> m_target;

};
}
#endif

